This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 542754 - Review Request: artha - A handy thesaurus based on WordNet
Review Request: artha - A handy thesaurus based on WordNet
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-30 12:56 EST by Roshan Singh
Modified: 2010-01-07 16:55 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.9.1-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:10:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
build log (92.62 KB, text/plain)
2009-12-04 09:06 EST, Arun S A G
no flags Details

  None (edit)
Description Roshan Singh 2009-11-30 12:56:32 EST
Spec URL: http://lug.nitdgp.ac.in/users/roshan/artha/artha.spec
SRPM URL: http://lug.nitdgp.ac.in/users/roshan/artha/artha-0.9.1-1.fc11.src.rpm
Description: 
Artha is a thesaurus that works completely off-line and is based on WordNet. Key features include hot key lookup, suggestions for incorrectly typed words, synonyms, antonyms and other similar words and notifications.

Details can be found at http://artha.sourceforge.net/wiki/index.php/Home .
Comment 1 Mamoru TASAKA 2009-11-30 14:15:11 EST
Some quick notes:

* Unneeded macros
  - You don't have to define %name, %version macros

* Source
  - Source tarball included in your srpm does not match with what
    I could download fromt the URL written as Source0:
---------------------------------------------------------
165485 2009-05-17 14:22 artha-0.9.1.tar.gz
165078 2009-11-28 02:13 artha-0.9.1-1.fc11.src/artha-0.9.1.tar.gz
---------------------------------------------------------

* License
  - Should be "GPLv2+"

* BuildArch
  - "i386" is wrong because F-11 uses i586 and F-12 uses i686.
    And this BuildArch is completely unneeded (because this builds
    on ix86/x86_64/ppc/ppc64)

* BuildRequires
  - "BR: autoconf, automake, libtool" don't seem to be needed because
    autotools are not called during build.
  - Please try to remove redundant BR. For example:
    * "gtk2-devel" always requires "glib2-devel", so "BR: glib2-devel"
      is redundant.
    * Note that "libnotify-devel" requires "glib2-devel" "gtk2-devel"
      "dbus-glib-devel" so these 3 BRs can be removed, however
      I don't object to keep writing "BR: gtk2-devel dbus-glib-devel"
      if you want.

* Parallel make
  - Support parallel make if possible:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make

* Timestamp
  - Please consider to use
---------------------------------------------------
make install DESTDIR=${RPM_BUILD_ROOT} INSTALL="install -p"
---------------------------------------------------
    to keep timestamps on installed files as much as possible.
    This method usually works for Makefiles generated by recent
    autotools.

* %defattr
  - Now we usually use %defattr(-,root,root,-)

* Directory ownership issue
  - The directory %{_datadir}/artha/ itself is not owned by any
    packages:
    https://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership
    https://fedoraproject.org/wiki/Packaging:UnownedDirectories#Common_Mistakes
Comment 2 Mamoru TASAKA 2009-11-30 14:29:49 EST
One more issue:
* %buildroot vs $RPM_BUILD_ROOT
  - Please choose one and don't use both:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS
Comment 3 Arun S A G 2009-11-30 21:51:58 EST
-  As Mamoru Tasaka said MD5sum mismatch:

The md5sum of source package included in src rpm mismatches with the package downloaded from source0 url

c3fc06df65b4aea21fbf4e26a6d57f19  <- md5sum of package downloaded from upstream

e5a756ca002a37adc85c4c4f12f6ba9c <- md5sum of package in src rpm

Any modification to upstream source should be added as a patch.


- If its your first package and you need SPONSOR please update BLOCKS field to FE-NEEDSPONSOR

Please check http://shakthimaan.com/downloads/glv/howtos/packaging-rpm-workflow.html

- Consider posting links to successful  koji builds
Comment 4 Roshan Singh 2009-11-30 23:45:48 EST
There is an unwanted executable permission given to TODO file. How do I create a patch for it, rpmlint is giving error for it, should I leave it out from the %doc section.
Comment 5 Mamoru TASAKA 2009-12-01 01:44:02 EST
(In reply to comment #4)
> There is an unwanted executable permission given to TODO file. 

Just use chmod at %prep.
Comment 6 Roshan Singh 2009-12-01 12:31:21 EST
I have made the necessary changes. Here are the updated files.

SPEC: http://lug.nitdgp.ac.in/users/roshan/artha/artha.spec
SRPM: http://lug.nitdgp.ac.in/users/roshan/artha/artha-0.9.1-2.fc11.src.rpm

The project artha is licensed under GPLv2, will it be okay to change it GPLv2+ ?
Comment 7 Arun S A G 2009-12-01 21:06:32 EST
(In reply to comment #6)
> I have made the necessary changes. Here are the updated files.
> The project artha is licensed under GPLv2, will it be okay to change it GPLv2+
> ?  


No.
Comment 8 Roshan Singh 2009-12-01 23:20:23 EST
Are all other problems fixed, so that I can make a new rpm. Is there a check list for you for errors, so that next time I can refer to it, before submitting a review request.
Comment 9 Arun S A G 2009-12-02 01:42:06 EST
(In reply to comment #8)
> Are all other problems fixed, so that I can make a new rpm. Is there a check
> list for you for errors, so that next time I can refer to it, before submitting
> a review request.  

You can read the review guidelines http://fedoraproject.org/wiki/Packaging/ReviewGuidelines and check whether your spec file and package meets the requirement in it.



When i tried to built the package i get build errors, am i doing something wrong?

checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking for C compiler default output file name... 
configure: error: C compiler cannot create executables
See `config.log' for more details.
error: Bad exit status from /var/tmp/rpm-tmp.K4pfcC (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.K4pfcC (%build)
Comment 10 Mamoru TASAKA 2009-12-02 09:55:20 EST
(In reply to comment #6)
> SPEC: http://lug.nitdgp.ac.in/users/roshan/artha/artha.spec
> SRPM: http://lug.nitdgp.ac.in/users/roshan/artha/artha-0.9.1-2.fc11.src.rpm

Connection timed out...
By the way http://artha.sourceforge.org/ returns "Server not found"...
Comment 11 Roshan Singh 2009-12-02 12:26:52 EST
(In reply to comment #10)
> (In reply to comment #6)
> > SPEC: http://lug.nitdgp.ac.in/users/roshan/artha/artha.spec
> > SRPM: http://lug.nitdgp.ac.in/users/roshan/artha/artha-0.9.1-2.fc11.src.rpm
> 
> Connection timed out...

Sorry there is a power outrage over here. I am trying to locate some other possible location to upload it. Suggest if you have any place to do it. Only web based uploads possible.

> By the way http://artha.sourceforge.org/ returns "Server not found"...  

It was a mistake, the url is http://artha.sourceforge.net/. Changed it in the spec.

Should I revert the license to GPLv2 or should i keep GPLv2+.
Comment 12 Mamoru TASAKA 2009-12-02 13:52:53 EST
(In reply to comment #11)
> (In reply to comment #10)
> > (In reply to comment #6)
> > > SPEC: http://lug.nitdgp.ac.in/users/roshan/artha/artha.spec
> > > SRPM: http://lug.nitdgp.ac.in/users/roshan/artha/artha-0.9.1-2.fc11.src.rpm
> > 
> > Connection timed out...
> 
> Sorry there is a power outrage over here. I am trying to locate some other
> possible location to upload it. Suggest if you have any place to do it. Only
> web based uploads possible.

Ah, okay. Now I am sponsoring you. Please check
https://fedoraproject.org/wiki/Fedorapeople.org
and use fedorapeople.org site.

> Should I revert the license to GPLv2 or should i keep GPLv2+.  
Judging from the source code, the license should be GPLv2+.
Comment 13 Arun S A G 2009-12-04 09:06:16 EST
Created attachment 376089 [details]
build log

rpmbuild --rebuild src.rpm was failed, i have attached the config.log for detailed information
Comment 14 Mamoru TASAKA 2009-12-04 09:23:23 EST
(In reply to comment #13)
> Created an attachment (id=376089) [details]
> build log
> 
> rpmbuild --rebuild src.rpm was failed, i have attached the config.log for
> detailed information  

============================================================
configure:2264: checking for i686-pc-linux-gnu-gcc
configure:2280: found /usr/local/bin/i686-pc-linux-gnu-gcc
configure:2291: result: i686-pc-linux-gnu-gcc
configure:2569: checking for C compiler version
configure:2576: i686-pc-linux-gnu-gcc --version >&5
i686-pc-linux-gnu-gcc (GCC) 4.2.4

configure:2649: i686-pc-linux-gnu-gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables   conftest.c  >&5
conftest.c:1: error: bad value (atom) for -mtune= switch
============================================================

This message shows that you are using gcc built/installed by yourself
and not using gcc provided by Fedora's rpm.
Comment 15 Arun S A G 2009-12-04 09:57:32 EST
(In reply to comment #14)
> 
> This message shows that you are using gcc built/installed by yourself
> and not using gcc provided by Fedora's rpm.  

But when i compiled the source (artha)(not src rpm) it used Fedora-rpm provided gcc, only rpmbuild --rebuild is using custom gcc , why? how to fix this?
Comment 16 Roshan Singh 2009-12-04 10:15:27 EST
Thank you for providing me the space.

SPEC: http://roshansingh.fedorapeople.org/artha/artha.spec
SRPM: http://roshansingh.fedorapeople.org/artha/artha-0.9.1-3.fc11.src.rpm

I have kept the License as GPLv2+. Hope this fixes all the problems.
Comment 17 Mamoru TASAKA 2009-12-04 10:18:18 EST
(In reply to comment #15)
> (In reply to comment #14)
> > 
> > This message shows that you are using gcc built/installed by yourself
> > and not using gcc provided by Fedora's rpm.  
> 
> But when i compiled the source (artha)(not src rpm) it used Fedora-rpm provided
> gcc, only rpmbuild --rebuild is using custom gcc , why? how to fix this?  

I guess it is no and you used your custom gcc also for compiling artha tarball,
only that it didn't fail perhaps because you didn't specify CFLAGS.
Fedora sets CFLAGS determined in redhat-rpm-config rpm (you can
see this by $ rpm --eval %optflags, and please check what %configure does
by $ rpm --eval %configure). 
On F-12 it contains "-mtune=atom" on i686 and your custom gcc cannot
recognize it.

You can use "mock" to rpmbuild srpm "cleanly".
Comment 18 Roshan Singh 2009-12-04 10:25:58 EST
What does CFLAGS do ? I dont have any idea about it. I just know that it sets up build environment but what parameters and how.
Comment 19 Mamoru TASAKA 2009-12-04 12:43:03 EST
(In reply to comment #18)
> What does CFLAGS do ? I dont have any idea about it. I just know that it sets
> up build environment but what parameters and how.  

For each CFLAGS parameters, please check $ man gcc.

Now your spec/srpm is okay.
-------------------------------------------------------------
    This package (artha) is APPROVED by mtasaka
-------------------------------------------------------------
Comment 20 Mamoru TASAKA 2009-12-11 10:22:22 EST
ping? (Please write CVS request)
Comment 21 Roshan Singh 2009-12-11 23:50:43 EST
(In reply to comment #20)
> ping? (Please write CVS request)  

Should I add you to the 'InitialCC' as i dont have any other person to CC it to ?
Comment 22 Mamoru TASAKA 2009-12-12 02:26:45 EST
(In reply to comment #21)
> (In reply to comment #20)
> > ping? (Please write CVS request)  
> 
> Should I add you to the 'InitialCC' as i dont have any other person to CC it to
> ?  

You don't have to add me as InitialCC member.
Comment 23 Arun S A G 2009-12-12 02:51:43 EST
Your package has been sponsored ,now you need to set the fedora-cvs flag to "?" . please read http://shakthimaan.com/downloads/glv/howtos/packaging-rpm-workflow.html#_make_cvs_request
Comment 24 Roshan Singh 2009-12-12 03:49:09 EST
New Package CVS Request
=======================
Package Name: artha
Short Description: A handy thesaurus based on WordNet
Owners: roshansingh
Branches: F-11 F-12 EL-5
Comment 25 Kevin Fenzi 2009-12-14 12:45:30 EST
cvs done.
Comment 26 Roshan Singh 2009-12-15 05:32:21 EST
I have found out that wordnet is not in EPEL-5 as told on IRC. 

Then I tried finding it at http://koji.fedoraproject.org/koji/packageinfo?packageID=8574, where it is not listed. 

So it is not possible to build artha for EL-5, what should I do now.
Comment 27 Mamoru TASAKA 2009-12-15 05:58:23 EST
Well,

* First rebuild this package on F-13(devel)/F-12/11
* For F-12/11, submit push requests on bodhi:
  https://admin.fedoraproject.org/updates/

When these are done, I will close this bug as CLOSED NEXTRELEASE.

For EL-5, rebuilding this package for EL-5 is not mandatory.
If you want to import this package into EL-5, contact wordnet
maintainer (or file a bug against wordnet).
Comment 28 Roshan Singh 2009-12-15 06:28:24 EST
(In reply to comment #27)
> Well,
> 
> * First rebuild this package on F-13(devel)/F-12/11
> * For F-12/11, submit push requests on bodhi:
>   https://admin.fedoraproject.org/updates/
> 
> When these are done, I will close this bug as CLOSED NEXTRELEASE.
> 
> For EL-5, rebuilding this package for EL-5 is not mandatory.
> If you want to import this package into EL-5, contact wordnet
> maintainer (or file a bug against wordnet).  

Ok, i have built artha for devel, F-11, and F-12 successfully. I will make request in bodhi now.
Comment 29 Fedora Update System 2009-12-15 23:35:17 EST
artha-0.9.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/artha-0.9.1-3.fc11
Comment 30 Fedora Update System 2009-12-15 23:37:31 EST
artha-0.9.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/artha-0.9.1-3.fc12
Comment 31 Fedora Update System 2009-12-17 23:25:51 EST
artha-0.9.1-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update artha'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13301
Comment 32 Fedora Update System 2009-12-17 23:40:43 EST
artha-0.9.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update artha'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13383
Comment 33 Mamoru TASAKA 2009-12-18 03:10:24 EST
Closing.
Comment 34 Fedora Update System 2010-01-07 16:52:32 EST
artha-0.9.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2010-01-07 16:55:01 EST
artha-0.9.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.